Extending Qt Creator Manual | SubstitutionNode

Extending Qt Creator Manual 4.7.1

# SubstitutionNode Class

(Debugger::Internal::SubstitutionNode)

Inherits: | Debugger::Internal::ParseTreeNode

- List of all members, including inherited members

## Public Types

typedef | Ptr
enum | Type { ActualSubstitutionType, StdType, StdAllocType, StdBasicStringType, ..., StdBasicIoStreamType }

## Public Functions

| SubstitutionNode(Debugger::Internal::GlobalParseState *parseState)
int | toByteArray() const
Debugger::Internal::SubstitutionNode::Type | type() const

- 7 public functions inherited from Debugger::Internal::ParseTreeNode

## Static Public Members

bool | mangledRepresentationStartsWith(char c)

- 1 static public member inherited from Debugger::Internal::ParseTreeNode

### Additional Inherited Members

- 2 protected functions inherited from Debugger::Internal::ParseTreeNode

## Member Type Documentation

### typedef SubstitutionNode::Ptr

### enum SubstitutionNode::Type

## Member Function Documentation

### SubstitutionNode::SubstitutionNode(Debugger::Internal::GlobalParseState *parseState)

Default constructs an instance of SubstitutionNode.

### `[static]` bool SubstitutionNode::mangledRepresentationStartsWith(char c)

### int SubstitutionNode::toByteArray() const

### Debugger::Internal::SubstitutionNode::Type SubstitutionNode::type() const